package jp.sourceforge.shovel.entity.impl;

import org.seasar.dao.annotation.tiger.Bean;
import org.seasar.dao.annotation.tiger.Id;
import org.seasar.dao.annotation.tiger.IdType;

import jp.sourceforge.shovel.entity.IFavorite;
import jp.sourceforge.shovel.entity.IUser;

@Bean(table = "favorites")
public class FavoriteImpl implements IFavorite {
    long createdTime_;
    long favoriteId_;
    long statusId_;
    long userId_;

    public long getCreatedTime() {
        return createdTime_;
    }
    public void setCreatedTime(long createdTime) {
        createdTime_ = createdTime;
    }
    public long getFavoriteId() {
        return favoriteId_;
    }
    @Id(IdType.IDENTITY)
    public void setFavoriteId(long favoriteId) {
        favoriteId_ = favoriteId;
    }
    public long getStatusId() {
        return statusId_;
    }
    public void setStatusId(long statusId) {
        statusId_ = statusId;
    }
    public long getUserId() {
        return userId_;
    }
    public void setUserId(long userId) {
        userId_ = userId;
    }
    
    /////
    
    IUser user_;
    
    public void setUser(IUser user) {
        user_ = user;
    }
    public IUser getUser() {
        return user_;
    }
}
